/* 
Warna yang digunakan diambil dari palet situs
https://colorhunt.co/palette/fef7dce6ddc6c2b8a3a19882

Menerapkan media query dan flexbox
*/

* {
	box-sizing: border-box;
}

html, body {
	font-family: 'Courier New', Arial, sans-serif;
    background-color: #e6ddc6;
    margin: 0;
    padding: 0;
}

header {
    display: inline;
}

.jumbotron {
    font-size: 24px;
    padding: 20px;
    background-color: #a19882;
    color: #fef7dc;
    text-align: center;
}

nav {
    background-color: #a19882;
    padding: 10px;
    position: sticky;
    margin-bottom: 10px;
    top: 0;
    z-index: 9999;
}

nav li {
    display: inline;
    list-style-type: none;
    margin-right: 25px;
}

nav a {
	font-size: 18px;
	font-weight: 400;
	text-decoration: none;
	color: #fef7dc;
}

nav a:hover {
    font-weight: bold;
}

main {
    display: flex;
    flex-wrap: wrap;
    padding: 20px;
    margin: 0 auto;
}

#content {
    flex-basis: 100%;
}

.flex-container-column {
	display: flex;
	flex-direction: column;
    align-items: center;

	margin: 20px auto;
}

.flex-container-row {
	display: flex;
    align-items: flex-start;
}

.card {
    background-color: #fef7dc;
    box-shadow: 0 4px 8px 0 #a19882;
    border-radius: 5px;
    padding: 20px;
    
}

.notes {
    background-color: #fef7dc;
    box-shadow: 0 4px 8px 0 #a19882;
    border-radius: 5px;
    padding: 20px;
    margin-left: 20px;
    margin-right: 20px;
    margin-bottom: 20px;
    min-width: 300px;
}

.fields {
    text-align: center;
}

.button {
    padding: 20px;
    color: #fef7dc;
    background-color: #a19882;
}

table {
    width: 100%;
    object-fit: fill;
    object-position: center;
}

tr:nth-child(odd){
	background-color: #e6ddc6;
}

th {
    padding: 20px;
    background-color: #a19882;
    color: #fef7dc;
}

td {
    padding: 20px;
    text-align: center;
}

footer {
    padding: 20px;
    color: #fef7dc;
    background-color: #a19882;
    font-weight: bold;
    margin-top: auto;
}

@media screen and (max-width: 1000px) {
    #content {
        flex-basis: 100%;
        padding: 0;
    }
    .fields {
        font-size: 36px;
        margin: 0;
    }

    input {
        width: 50%;
        padding: 12px;
        font-size: 36px;
    }

    textarea {
        width: 80%;
        padding: 12px;
        font-size: 36px;
    }

    nav a {
	    font-size: 36px;
    }

    .notes {
        font-size: 36px;
        width: 75%;
        text-align: center;
    }

    .flex-container-row {
        flex-direction: column;
        align-items: center;
    }
}   